#pragma once
#include "vl/VLd.h"
#include "Handle.h"
#include <vector>

class HandleManager
{
public:
	HandleManager(void);
	~HandleManager(void);
	void drawMarkers(float, float);
	std::vector<Handle> getHandles(void);
	void updateMarkers();
	Vec4d getMarker(float, float, int);

private:
	int nFrame;
	int nMarker;
	std::vector<Vec3d> markers;
	std::vector<Handle> handles;
	void readDataPoints(void);
	void buildHandles(void);
};
