#pragma once
#include <list>
#include "modelerapp.h"
#include "Particle.h"

typedef struct {
	Vec3f p1, p2, p3, p4;
} Wall;

class CollisionManager
{
public:
	CollisionManager();
	CollisionManager(list<Particle> *);
	~CollisionManager(void);

	//	add a rectangle to block particles
	//	we don't draw it here
	void addWall(Vec3f, Vec3f, Vec3f, Vec3f);

	void update(float);
	void drawWalls();
	
private:
	list<Particle> *particles;
	list<Wall> blocks;
	Vec3f origin;
};
